Add extra storage for web hosting

Purchase additional storage space for your web hosting account. Upon purchasing the add-on service, a payment ID is returned for tracking payments via billing services.

Web Hosting Services Hosting Accounts

Context

Where to get IDs / values

Workflow links

Path Parameters

accountId integer · min: 1 required Example: 20000

Unique account identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.invoiceId string · nullable required · Example: null

Nullable: may be null when not applicable.

data.message string required · Example: Added 25GB storage add-on

Human-readable message.

data.orderId string · nullable required · Example: null

Nullable: may be null when not applicable.

data.redirectUrl string required · Example: /billing
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500

No response body

POST https://cloud.hostup.se/api/hosting/{accountId}/addons/storage
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/hosting/20000/addons/storage" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "message": "Added 25GB storage add-on",
    "invoiceId": null,
    "orderId": null,
    "redirectUrl": "/billing"
  }
}